package com.nokia.sms.controller;

import com.nokia.common.http.R;
import com.nokia.sms.service.SocketClientService;
import com.nokia.sms.vo.DelBlkResp;
import com.nokia.sms.vo.QueryResp;
import com.nokia.sms.vo.RequestParams;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 黑名单查询及解除接口类
 */
@Slf4j
@RestController
@RequestMapping("/sms/blacklist/api/")
public class BlkController {
    private final SocketClientService socketClientService;

    public BlkController(SocketClientService socketClientService) {
        this.socketClientService = socketClientService;
    }

    /**
     * 黑名单解除接口
     */
    @PostMapping("remove")
    public R remove(@RequestBody RequestParams params) {
        // 尝试解除黑名单
        log.debug("入参 -- {} ", params);
        DelBlkResp delBlkResp = new DelBlkResp();
        // if (socketClientService.delBlk(params.getPhone())) {
        if (params.getPhone().equals("13231899751")) {
            delBlkResp.setDelBlkSuccess(true);
            delBlkResp.setDelBlkMessage("成功解除黑名单");
        } else {
            delBlkResp.setDelBlkSuccess(false);
            delBlkResp.setDelBlkMessage("解除黑名单失败");
        }
        log.debug("返回 -- {}", delBlkResp);
        return R.ok().data(delBlkResp);
    }

    /**
     * 黑名单查询接口
     */
    @PostMapping("query")
    public R query(@RequestBody RequestParams params) {
        log.debug("入参 -- {} ", params);
        QueryResp r = new QueryResp();
        r.setQuerySuccess(true);
        r.setQueryMessage("成功");
        QueryResp.QueryResultDTO dto = new QueryResp.QueryResultDTO();
        dto.setReason("手动加黑");
        dto.setStartTime("20220807012233");
        dto.setEndTime("20220807012233");
        dto.setSmsData("这是一条推销短信");
        dto.setDescribe("推销");
        dto.setAllowToDel(true);
        r.setQueryResult(dto);
        log.debug("返回 -- {}", r);
        return R.ok().data(r);
    }
}
