package com.nokia.sms;


import org.springframework.boot.test.context.TestConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.concurrent.ThreadPoolTaskScheduler;
import org.springframework.web.client.RestTemplate;

/**
 * 并发测试配置
 */
@TestConfiguration
public class ConcurrentTestConfig {
    @Bean
    public RestTemplate restTemplate() {
        return new RestTemplate();
    }

    @Bean
    public ThreadPoolTaskScheduler threadPoolTaskScheduler() {
        ThreadPoolTaskScheduler scheduler = new ThreadPoolTaskScheduler();
        scheduler.setPoolSize(40);
        scheduler.setWaitForTasksToCompleteOnShutdown(true);
//        scheduler.setThreadNamePrefix("");
//        scheduler.setAwaitTerminationSeconds(60);
//        scheduler.setErrorHandler(e -> log.error(">>> {}", e.getMessage(), e));
        scheduler.initialize();
        return scheduler;
    }
}
